package AlgLin;

/**
 * @author Hamadou BA  
 * Depot GitLab : https://www-apps.univ-lehavre.fr/forge/bh243413/tp3-ps-inversion-de-matrices.git
 *
 * La classe {@code IrregularSysLinException} represente une exception levee lorsqu'un systeme lineaire.  
 */


public class IrregularSysLinException extends Exception {
	private String message;
	
	public IrregularSysLinException(String message) {
		this.message = message;
	}

	public String toString()
	{
		if( message == null || message.isEmpty() ) 
			return "Le système est irrégulier !";
		return this.message;
	}
}